﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace DockingImplicitStyles
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{

		public MainWindow()
		{
			InitializeComponent();			

			listBox.ItemsSource = new ObservableCollection<string>() {
				"Toolbox", "Server Explorer",
				"Properties", "Solution Explorer",
					"Output" , "Error List"
			};


		}

		private void listBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
		{
			if (e.AddedItems.Count > 0)
			{
				var item = e.AddedItems[0] as string;
				var pane = dock.Panes.Where(p => (string)p.Header == item).First();
				if (pane.IsPinned == false)
					pane.IsPinned = true;

				else
					dock.ActivePane = pane;
			}
		}

		private void dock_PaneStateChange(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			if ((e.OriginalSource as RadPane).IsPinned == false)
				listBox.SelectedIndex = -1;
		}

		private void dock_ActivePaneChanged(object sender, Telerik.Windows.Controls.Docking.ActivePangeChangedEventArgs e)
		{
			listBox.SelectedValue = (listBox.ItemsSource as ObservableCollection<string>).Where(p => p == (string) e.NewPane.Header).FirstOrDefault();
		}
	}

	public class CustomConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			return value;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
